using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class tool_ip : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        string userHostAddress = base.Request.UserHostAddress;
        string str3 = IPLocation.IPLocate(base.Server.MapPath("QQWry.Dat"), userHostAddress);
        base.Response.Write("document.write(\"<div style='color:#FF0000;'>\");");
        base.Response.Write("document.write(\"当前来访IP为(" + userHostAddress + "),所在地：" + str3 + "\");");
        base.Response.Write("document.write(\"</div>\");");
    }
}
